> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List checkout KPIs

> Get a list of KPIs where the transactiosn used is in the aggregations are transactions from "event_created_at_gte",
until now. However, transactions from the "current" interval are not included.\
E.g if week is provided as interval, then no transactions from the current week are included. This is true for
day and month intervals aswell.

Scopes:
  - read:insight
  - admin:insight
**deprecated** 2025-05-20




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments-v2.yaml get /accounts/{aid}/insight/kpi/checkout
openapi: 3.0.0
info:
  title: Payments API v2
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: |
    Public endpoints for payments served under the account-scoped URL format
    `https://api.dintero.com/v1/accounts/{aid}/...`.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
  - name: Card Tokens
    description: |
      Manage card tokens
  - name: terminals
    x-displayName: Terminals
    description: Terminal operations
  - name: v2-fund-transfers
    x-displayName: Fund transfers
    description: Transfer funds between sellers
  - name: payout-destinations
    x-displayName: payout destinations
    description: |
      Payout destinations
  - name: account-stores
    x-displayName: stores
    description: |
      Manage account stores
  - name: account-terminals
    x-displayName: terminals
    description: |
      Manage account terminals
  - name: report-configuration
    x-displayName: Report configuration
    description: Manage report configurations
  - name: kpi
    x-displayName: KPI
    description: Get KPI data
paths:
  /accounts/{aid}/insight/kpi/checkout:
    get:
      tags:
        - kpi
      summary: api_insight_checkout_kpis_get
      description: >
        Get a list of KPIs where the transactiosn used is in the aggregations
        are transactions from "event_created_at_gte",

        until now. However, transactions from the "current" interval are not
        included.\

        E.g if week is provided as interval, then no transactions from the
        current week are included. This is true for

        day and month intervals aswell.


        Scopes:
          - read:insight
          - admin:insight
        **deprecated** 2025-05-20
      operationId: api_insight_checkout_kpis_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: interval
          in: query
          required: true
          description: |
            The interval over which the data will be aggregated.
          schema:
            type: string
            enum:
              - day
              - week
              - month
        - name: field
          in: query
          required: true
          description: >
            The field (db column) used as source for the KPI, eg, total_amount,
            vat etc.
          schema:
            type: string
            enum:
              - total_amount
        - name: transaction_status
          in: query
          required: true
          description: >
            Only transactions with this status will be included in the
            aggregation
          schema:
            type: string
            enum:
              - CAPTURED
              - REFUNDED
              - AUTHORIZED
        - name: aggregate_functions
          in: query
          required: true
          description: >
            The functions applied to the data for every interval.


            - The functions should be provided as a stringified array

            - At least one function must be provided, `currency` must be
            combined
              with another function

            Available functions:

            - sum

            - avg

            - count

            - currency
          example: '["count","sum","avg","currency"]'
          schema:
            type: string
        - name: event_created_at_gte
          in: query
          required: false
          description: >
            Transaction events with created_at date at or later than this date
            will be included in the aggregations.\

            If this date parameter is not included, all transactions regardless
            of creation date are included.\

            NB! This is not the transactions created_at date, this is the date
            the event was created (e.g AUTHORIZE, CAPTURE etc..)
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/InsightCheckoutKpisList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  responses:
    InsightCheckoutKpisList:
      description: Checkout KPIs
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/InsightCheckoutKpis'
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    InsightCheckoutKpis:
      type: object
      required:
        - kpi_name
        - values
      properties:
        kpi_name:
          enum:
            - avg
            - sum
            - count
        values:
          type: array
          items:
            type: object
            required:
              - value
              - date
            properties:
              currency:
                type: string
                description: |
                  Included if the aggregate_function included `currency`
                example: NOK
              value:
                type: number
                description: >
                  result of applying the aggregate_function for one period
                  defined by

                  the aggregate_level
              date:
                type: string
                format: date-time
                description: |
                  Either the date for the aggregated data(when interval is day)
                  otherwise the first date of the period used to aggregate data
                  (week/month)
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.